Update an inbound source config
curl --request PATCH \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bacenSystemCode": "<string>",
"bacenSystemFilterCode": "<string>",
"credentialId": "<string>",
"displayName": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"urgencyEnabled": true
}
'import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}"
payload = {
"bacenSystemCode": "<string>",
"bacenSystemFilterCode": "<string>",
"credentialId": "<string>",
"displayName": "<string>",
"intervalSeconds": 123,
"isEnabled": True,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"urgencyEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bacenSystemCode: '<string>',
bacenSystemFilterCode: '<string>',
credentialId: '<string>',
displayName: '<string>',
intervalSeconds: 123,
isEnabled: true,
maxFileSizeBytes: 123,
retentionDays: 123,
sourceProduct: '<string>',
urgencyEnabled: true
})
};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bacenSystemCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"displayName": "<string>",
"id": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"urgencyEnabled": true,
"bacenSystemFilterCode": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Update an inbound source config
Partial update. Re-enabling a config, changing its intervalSeconds, or moving it to a different credential re-validates the configured inbound discovery reserve (422 on violation).
PATCH
/
v1
/
inbound-source-configs
/
{id}
Update an inbound source config
Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Inbound source config UUID
Example:
"018f3b2a-0c1d-7a2b-9e4f-1a2b3c4d5e6f"
Body
application/json
Response
OK
Was this page helpful?
⌘I

